using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DarumaController : MonoBehaviour
{
    Rigidbody2D rigidBody;
    float timeToAddForce = 0.0f;
    float timeToAddForceDelta = 0.4f;
    float previousHeight = 999.9f;
    float strengthOfForce = -400.0f;
    float timeToDestroy = 6.0f;

    // Start is called before the first frame update
    void Start()
    {
        this.rigidBody = GetComponent<Rigidbody2D>();
    }

    // Update is called once per frame
    void Update()
    {
        this.timeToAddForce += Time.deltaTime;
        if (this.timeToAddForce > this.timeToAddForceDelta)
        {
            if (this.previousHeight == transform.position.y)
            {
                this.rigidBody.AddForce(transform.right * this.strengthOfForce);
            }
            this.timeToAddForce = 0.0f;
            this.previousHeight = transform.position.y;
        }

        this.timeToDestroy -= Time.deltaTime;
        if (this.timeToDestroy < 0.0f)
        {
            Destroy(gameObject);
        }
    }
}
